<?php

/**
*
* @package phpBB3 SEO Sitemap
* @copyright (c) 2013 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_seo_sitemap
{
	var $u_action;

	function main($id, $mode)
	{
		global $cache, $config, $template, $user;

		$this->tpl_name = 'acp_seo_sitemap';
		$this->page_title = $user->lang['SEOMAP'];
		add_form_key('acp_seo_sitemap');

		$submit = (isset($_POST['submit'])) ? true : false;

		if ($submit)
		{
			if (!check_form_key('acp_seo_sitemap'))
			{
				trigger_error($user->lang['FORM_INVALID'] . adm_back_link($this->u_action), E_USER_WARNING);
			}

			set_config('sitemap_seo_cache', max(0, request_var('sitemap_seo_cache', 0)));
			set_config('sitemap_seo_url_limit', min(50000, max(0, request_var('sitemap_seo_url_limit', 0))));
			set_config('sitemap_seo_excluded', implode(',', request_var('sitemap_seo_excluded', array(0))));
			set_config('sitemap_seo_prior_0', min(1, max(0, request_var('sitemap_seo_prior_0', $config['sitemap_seo_prior_0']))));
			set_config('sitemap_seo_prior_1', min(1, max(0, request_var('sitemap_seo_prior_1', $config['sitemap_seo_prior_1']))));
			set_config('sitemap_seo_prior_2', min(1, max(0, request_var('sitemap_seo_prior_2', $config['sitemap_seo_prior_2']))));
			set_config('sitemap_seo_prior_3', min(1, max(0, request_var('sitemap_seo_prior_3', $config['sitemap_seo_prior_3']))));
			set_config('sitemap_seo_prior_f', min(1, max(0, request_var('sitemap_seo_prior_f', $config['sitemap_seo_prior_f']))));
			set_config('sitemap_seo_freq_0', request_var('sitemap_seo_freq_0', $config['sitemap_seo_freq_0']));
			set_config('sitemap_seo_freq_1', request_var('sitemap_seo_freq_1', $config['sitemap_seo_freq_1']));
			set_config('sitemap_seo_freq_2', request_var('sitemap_seo_freq_2', $config['sitemap_seo_freq_2']));
			set_config('sitemap_seo_freq_3', request_var('sitemap_seo_freq_3', $config['sitemap_seo_freq_3']));
			set_config('sitemap_seo_freq_f', request_var('sitemap_seo_freq_f', $config['sitemap_seo_freq_f']));

			$cache->destroy('_sitemap_seo_file');

			add_log('admin', 'SEOMAP_SETTINGS_UPDATED');
			trigger_error($user->lang['SEOMAP_SAVED'] . adm_back_link($this->u_action));
		}

		$sitemap_freq_0 = '<option value="0"' . (($config['sitemap_seo_freq_0'] == "0") ? ' selected="selected"' : '') . '>' . $user->lang['DISABLED'] . '</option>';
		$sitemap_freq_0 .= '<option value="never"' . (($config['sitemap_seo_freq_0'] == "never") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_NEVER'] . '</option>';
		$sitemap_freq_0 .= '<option value="yearly"' . (($config['sitemap_seo_freq_0'] == "yearly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_YEARLY'] . '</option>';
		$sitemap_freq_0 .= '<option value="monthly"' . (($config['sitemap_seo_freq_0'] == "monthly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_MONTHLY'] . '</option>';
		$sitemap_freq_0 .= '<option value="weekly"' . (($config['sitemap_seo_freq_0'] == "weekly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_WEEKLY'] . '</option>';
		$sitemap_freq_0 .= '<option value="daily"' . (($config['sitemap_seo_freq_0'] == "daily") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_DAILY'] . '</option>';
		$sitemap_freq_0 .= '<option value="hourly"' . (($config['sitemap_seo_freq_0'] == "hourly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_HOURLY'] . '</option>';
		$sitemap_freq_0 .= '<option value="always"' . (($config['sitemap_seo_freq_0'] == "always") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_ALWAYS'] . '</option>';

		$sitemap_freq_1 = '<option value="0"' . (($config['sitemap_seo_freq_1'] == "0") ? ' selected="selected"' : '') . '>' . $user->lang['DISABLED'] . '</option>';
		$sitemap_freq_1 .= '<option value="never"' . (($config['sitemap_seo_freq_1'] == "never") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_NEVER'] . '</option>';
		$sitemap_freq_1 .= '<option value="yearly"' . (($config['sitemap_seo_freq_1'] == "yearly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_YEARLY'] . '</option>';
		$sitemap_freq_1 .= '<option value="monthly"' . (($config['sitemap_seo_freq_1'] == "monthly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_MONTHLY'] . '</option>';
		$sitemap_freq_1 .= '<option value="weekly"' . (($config['sitemap_seo_freq_1'] == "weekly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_WEEKLY'] . '</option>';
		$sitemap_freq_1 .= '<option value="daily"' . (($config['sitemap_seo_freq_1'] == "daily") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_DAILY'] . '</option>';
		$sitemap_freq_1 .= '<option value="hourly"' . (($config['sitemap_seo_freq_1'] == "hourly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_HOURLY'] . '</option>';
		$sitemap_freq_1 .= '<option value="always"' . (($config['sitemap_seo_freq_1'] == "always") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_ALWAYS'] . '</option>';

		$sitemap_freq_2 = '<option value="0"' . (($config['sitemap_seo_freq_2'] == "0") ? ' selected="selected"' : '') . '>' . $user->lang['DISABLED'] . '</option>';
		$sitemap_freq_2 .= '<option value="never"' . (($config['sitemap_seo_freq_2'] == "never") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_NEVER'] . '</option>';
		$sitemap_freq_2 .= '<option value="yearly"' . (($config['sitemap_seo_freq_2'] == "yearly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_YEARLY'] . '</option>';
		$sitemap_freq_2 .= '<option value="monthly"' . (($config['sitemap_seo_freq_2'] == "monthly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_MONTHLY'] . '</option>';
		$sitemap_freq_2 .= '<option value="weekly"' . (($config['sitemap_seo_freq_2'] == "weekly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_WEEKLY'] . '</option>';
		$sitemap_freq_2 .= '<option value="daily"' . (($config['sitemap_seo_freq_2'] == "daily") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_DAILY'] . '</option>';
		$sitemap_freq_2 .= '<option value="hourly"' . (($config['sitemap_seo_freq_2'] == "hourly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_HOURLY'] . '</option>';
		$sitemap_freq_2 .= '<option value="always"' . (($config['sitemap_seo_freq_2'] == "always") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_ALWAYS'] . '</option>';

		$sitemap_freq_3 = '<option value="0"' . (($config['sitemap_seo_freq_3'] == "0") ? ' selected="selected"' : '') . '>' . $user->lang['DISABLED'] . '</option>';
		$sitemap_freq_3 .= '<option value="never"' . (($config['sitemap_seo_freq_3'] == "never") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_NEVER'] . '</option>';
		$sitemap_freq_3 .= '<option value="yearly"' . (($config['sitemap_seo_freq_3'] == "yearly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_YEARLY'] . '</option>';
		$sitemap_freq_3 .= '<option value="monthly"' . (($config['sitemap_seo_freq_3'] == "monthly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_MONTHLY'] . '</option>';
		$sitemap_freq_3 .= '<option value="weekly"' . (($config['sitemap_seo_freq_3'] == "weekly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_WEEKLY'] . '</option>';
		$sitemap_freq_3 .= '<option value="daily"' . (($config['sitemap_seo_freq_3'] == "daily") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_DAILY'] . '</option>';
		$sitemap_freq_3 .= '<option value="hourly"' . (($config['sitemap_seo_freq_3'] == "hourly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_HOURLY'] . '</option>';
		$sitemap_freq_3 .= '<option value="always"' . (($config['sitemap_seo_freq_3'] == "always") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_ALWAYS'] . '</option>';

		$sitemap_freq_f = '<option value="0"' . (($config['sitemap_seo_freq_f'] == "0") ? ' selected="selected"' : '') . '>' . $user->lang['DISABLED'] . '</option>';
		$sitemap_freq_f .= '<option value="never"' . (($config['sitemap_seo_freq_f'] == "never") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_NEVER'] . '</option>';
		$sitemap_freq_f .= '<option value="yearly"' . (($config['sitemap_seo_freq_f'] == "yearly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_YEARLY'] . '</option>';
		$sitemap_freq_f .= '<option value="monthly"' . (($config['sitemap_seo_freq_f'] == "monthly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_MONTHLY'] . '</option>';
		$sitemap_freq_f .= '<option value="weekly"' . (($config['sitemap_seo_freq_f'] == "weekly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_WEEKLY'] . '</option>';
		$sitemap_freq_f .= '<option value="daily"' . (($config['sitemap_seo_freq_f'] == "daily") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_DAILY'] . '</option>';
		$sitemap_freq_f .= '<option value="hourly"' . (($config['sitemap_seo_freq_f'] == "hourly") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_HOURLY'] . '</option>';
		$sitemap_freq_f .= '<option value="always"' . (($config['sitemap_seo_freq_f'] == "always") ? ' selected="selected"' : '') . '>' . $user->lang['SEOMAP_FREQ_ALWAYS'] . '</option>';

		$template->assign_vars(array(
			'SEOMAP_VERSION'			=> sprintf($user->lang['SEOMAP_VERSION'], $config['sitemap_seo_version']),
			'SEOMAP_CACHE_TIME'			=> $config['sitemap_seo_cache'],
			'SEOMAP_URL_LIMIT'			=> $config['sitemap_seo_url_limit'],
			'SEOMAP_EXCLUDED_FORUMS'	=> make_forum_select(explode(',', $config['sitemap_seo_excluded']), false, false, true),
			'SEOMAP_PRIORITY_0'			=> $config['sitemap_seo_prior_0'],
			'SEOMAP_PRIORITY_1'			=> $config['sitemap_seo_prior_1'],
			'SEOMAP_PRIORITY_2'			=> $config['sitemap_seo_prior_2'],
			'SEOMAP_PRIORITY_3'			=> $config['sitemap_seo_prior_3'],
			'SEOMAP_PRIORITY_F'			=> $config['sitemap_seo_prior_f'],
			'SEOMAP_FREQ_0'				=> $sitemap_freq_0,
			'SEOMAP_FREQ_1'				=> $sitemap_freq_1,
			'SEOMAP_FREQ_2'				=> $sitemap_freq_2,
			'SEOMAP_FREQ_3'				=> $sitemap_freq_3,
			'SEOMAP_FREQ_F'				=> $sitemap_freq_f,

			'U_ACTION'					=> $this->u_action,
		));
	}
}

?>