<?php
/**
*
* @author Shredder
* @version $Id$
* @copyright (c) 2013 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'SEOMAP_INSTALL';
$language_file = 'mods/info_acp_seo_sitemap';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'sitemap_seo_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.0.0' => array(
		'custom'	=> 'sitemap_info',

		'config_add' => array(
			array('sitemap_seo_excluded', '', 0),
			array('sitemap_seo_cache', 24, 0),
		),

		'module_add' => array(
			array('acp', 'ACP_BOARD_CONFIGURATION', array(
					'module_basename'	=> 'seo_sitemap',
					'module_langname'	=> 'SEOMAP',
					'module_mode'		=> 'settings',
					'module_auth'		=> 'acl_a_board',
				),
			),
		),
	),

	'1.0.1' => array(
	),

	'1.0.2' => array(
		'config_add' => array(
			array('sitemap_seo_prior_0', '0.5', 0),
			array('sitemap_seo_prior_1', '0.6', 0),
			array('sitemap_seo_prior_2', '0.7', 0),
			array('sitemap_seo_prior_3', '0.8', 0),
			array('sitemap_seo_prior_f', '0.9', 0),
			array('sitemap_seo_freq_0', 'daily', 0),
			array('sitemap_seo_freq_1', 'daily', 0),
			array('sitemap_seo_freq_2', 'weekly', 0),
			array('sitemap_seo_freq_3', 'weekly', 0),
			array('sitemap_seo_freq_f', 'weekly', 0),
		),

		'cache_purge' => array(),
	),

	'1.0.3' => array(
	),

	'2.0.0' => array(
		'config_add' => array(
			array('sitemap_seo_url_limit', '50000', 0),
		),
	),

	'2.0.1' => array(
	),
);

function sitemap_info()
{
	return 'SEOMAP_SUPPORT';
}

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>